summaryrefslogtreecommitdiffstats
path: root/build-gluster-org
diff options
context:
space:
mode:
authorNigel Babu <nigelb@redhat.com>2018-09-03 21:18:10 +0530
committerNigel Babu <nigelb@redhat.com>2018-09-03 21:18:10 +0530
commit65ec08b624e3966b1da7baacdea3e4347e188962 (patch)
tree51c8e9ad8cccb541ffe121e5ec3bf2e7b948c9a1 /build-gluster-org
parent55f1949776a56140b3fb8247a5d680bb29359308 (diff)
Fix bugs in python-compliance tests
Change-Id: I2f19695308549265e4a531443b13d153d3f911ed
Diffstat (limited to 'build-gluster-org')
-rw-r--r--build-gluster-org/jobs/python-compliance.yml2
-rw-r--r--build-gluster-org/scripts/python-compliance.sh3
2 files changed, 3 insertions, 2 deletions
diff --git a/build-gluster-org/jobs/python-compliance.yml b/build-gluster-org/jobs/python-compliance.yml
index 9cf030f..f95bef1 100644
--- a/build-gluster-org/jobs/python-compliance.yml
+++ b/build-gluster-org/jobs/python-compliance.yml
@@ -1,6 +1,6 @@
- job:
name: python-compliance
- node: smoke7
+ node: fedora
description: Check for python3 compliance
project-type: freestyle
concurrent: true
diff --git a/build-gluster-org/scripts/python-compliance.sh b/build-gluster-org/scripts/python-compliance.sh
index 875ba67..1f50208 100644
--- a/build-gluster-org/scripts/python-compliance.sh
+++ b/build-gluster-org/scripts/python-compliance.sh
@@ -1,7 +1,8 @@
#!/usr/bin/bash
+set -e
./autogen.sh
./configure --disable-bd-xlator --enable-debug --enable-gnfs --silent
-grep -rnl '#!/usr/bin/python' | xargs pylint-3 --py3k
+grep -rnl --exclude-dir='.git' '#!/usr/bin/python' | xargs pylint-3 --py3k
find . -name '*.py' | xargs pylint-3 --py3k
find . -name '*.py' | xargs python2 /opt/qa/python_compliance.py
find . -name '*.py' | xargs python3 /opt/qa/python_compliance.py